#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x2_read_rx_gain, 0xe20d784e, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x2efe59ee, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xdffc3bc3, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xd50fb7de, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x6af1cb00, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x01c7c2aa, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x2c829d26, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x9057384e, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x5c309b64, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x692b71d6, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xaab6521c, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xd5b31dbb, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x741da46c, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xc546c29a, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0xf5d17573, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x255e9d76, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xc39e651d, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x45c34eca, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0xb7844083, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xafce371d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa26b09bb, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf03994b6, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xeb4d1147, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x7d246ed6, "mt76_eeprom_init" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb439f7a9, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xfd31651d, "mt76_mcu_send_and_get_msg" },
	{ 0xdf21861e, "mt76_eeprom_override" },
	{ 0x4b4f135d, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb6ab6347, "mt76_get_sar_power" },
	{ 0x975af3a6, "mt76x02_eeprom_copy" },
	{ 0x9466b80b, "mt76x02_mcu_calibrate" },
	{ 0xdf8eb1a0, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x94527dfa, "mt76_get_min_avg_rssi" },
	{ 0x7c2d9d0f, "mt76_init_sar_power" },
	{ 0x1f32e251, "mt76x02_phy_adjust_vga_gain" },
	{ 0x31ac78d6, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc01056e6, "devm_kmalloc" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "B855F1C5C8D938837BB73B6");

MODULE_INFO(suserelease, "ALP-0.1");
