#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x7863b2cf, "rt2800_mcu_request" },
	{ 0xa84fe8b2, "rt2800mmio_toggle_irq" },
	{ 0xca0219a8, "rt2800mmio_enable_radio" },
	{ 0xfcb72bde, "rt2x00pci_remove" },
	{ 0x7fe35862, "rt2x00pci_pm_ops" },
	{ 0x95be236c, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x1a05e6e7, "rt2800mmio_probe_hw" },
	{ 0xfb448058, "rt2800_check_firmware" },
	{ 0x75c4d8b0, "rt2800_load_firmware" },
	{ 0x26191cf9, "rt2x00mmio_initialize" },
	{ 0xa4fa0fb3, "rt2x00mmio_uninitialize" },
	{ 0x546e49c2, "rt2800mmio_get_entry_state" },
	{ 0x91f9c98d, "rt2800mmio_clear_entry" },
	{ 0x671a732e, "rt2800_rfkill_poll" },
	{ 0x161ebdbe, "rt2800_link_stats" },
	{ 0x4b3bc623, "rt2800_reset_tuner" },
	{ 0xbd97ca41, "rt2800_link_tuner" },
	{ 0x93aa0fd6, "rt2800_gain_calibration" },
	{ 0x843a8a0a, "rt2800_vco_calibration" },
	{ 0xed4d3b5c, "rt2800_watchdog" },
	{ 0xa56289ec, "rt2800mmio_start_queue" },
	{ 0xc4f70936, "rt2800mmio_kick_queue" },
	{ 0x301a1312, "rt2800mmio_stop_queue" },
	{ 0x3ee98491, "rt2800mmio_flush_queue" },
	{ 0x3663ad08, "rt2800mmio_write_tx_desc" },
	{ 0x3072168d, "rt2800_write_tx_data" },
	{ 0xd6203501, "rt2800_write_beacon" },
	{ 0xd841f6a2, "rt2800_clear_beacon" },
	{ 0xd023f2df, "rt2800mmio_fill_rxdone" },
	{ 0x211290aa, "rt2800_config_shared_key" },
	{ 0x5b98e3dd, "rt2800_config_pairwise_key" },
	{ 0x9a97db3c, "rt2800_config_filter" },
	{ 0xd817d853, "rt2800_config_intf" },
	{ 0xf6992a86, "rt2800_config_erp" },
	{ 0x78665d92, "rt2800_config_ant" },
	{ 0x303c56a, "rt2800_config" },
	{ 0xd9c2a2af, "rt2800_pre_reset_hw" },
	{ 0xa438c96b, "rt2x00mmio_regbusy_read" },
	{ 0x2c801788, "rt2800mmio_init_registers" },
	{ 0x46743586, "rt2800mmio_get_txwi" },
	{ 0xc77693f7, "rt2800mmio_get_dma_done" },
	{ 0x9dfd78aa, "rt2x00mac_tx" },
	{ 0x6e691d60, "rt2x00mac_start" },
	{ 0x50b2eb8c, "rt2x00mac_stop" },
	{ 0xdf06d3a, "rt2x00mac_add_interface" },
	{ 0xe1056be5, "rt2x00mac_remove_interface" },
	{ 0xa007824c, "rt2x00mac_config" },
	{ 0x4e6049d8, "rt2x00mac_bss_info_changed" },
	{ 0xfffb7d04, "rt2x00mac_configure_filter" },
	{ 0x3837bc9e, "rt2x00mac_set_key" },
	{ 0xdc4e75ef, "rt2x00mac_sw_scan_start" },
	{ 0xaa0320e0, "rt2x00mac_sw_scan_complete" },
	{ 0xc9018cfd, "rt2x00mac_get_stats" },
	{ 0xd03e27d1, "rt2800_get_key_seq" },
	{ 0x36e5f4b7, "rt2800_set_rts_threshold" },
	{ 0x71fe82be, "rt2800_sta_add" },
	{ 0x16834a7f, "rt2800_sta_remove" },
	{ 0xfa409e25, "rt2800_conf_tx" },
	{ 0x424703d6, "rt2800_get_tsf" },
	{ 0xa0ab6758, "rt2800_ampdu_action" },
	{ 0x8678ac3d, "rt2800_get_survey" },
	{ 0x30503680, "rt2x00mac_rfkill_poll" },
	{ 0x986573e9, "rt2x00mac_flush" },
	{ 0x645ae21d, "rt2x00mac_get_ringparam" },
	{ 0x162fc5ac, "rt2x00mac_tx_frames_pending" },
	{ 0x65fab4e3, "rt2x00mac_reconfig_complete" },
	{ 0x52bcdd15, "ieee80211_handle_wake_tx_queue" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0xee664ec6, "rt2x00pci_probe" },
	{ 0xc76d9af9, "rt2800_efuse_detect" },
	{ 0xa7bb002d, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");

MODULE_INFO(suserelease, "ALP-0.1");
